"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-310/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x11df097e0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x11df09870>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x11df09900>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x11df09990>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x11df09a20>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x11df09ab0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x11df09b40>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x11df09bd0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x11df09c60>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x11df09cf0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x11df09d80>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x11df09e10>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x11df09ea0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x11df09f30>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x11df09fc0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x11df0a050>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x11df0a0e0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x11df0a170>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x11df0a200>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x11df0a290>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x11df0a320>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x11df0a3b0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x11df0a440>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x11df0a4d0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x11df0a5f0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x11df0a560>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x11df0a680>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x11df0a710>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x11df0a7a0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x11df0a830>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x11df0a8c0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x11df0a950>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x11df0a9e0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x11df0aa70>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x11df0ab00>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x11df0ab90>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x11df0ac20>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x11df0acb0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x11df0ad40>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x11df0add0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x11df0ae60>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x11df0aef0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x11df0af80>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x11df0b010>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x11df0b0a0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x11df0b130>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x11df0b1c0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x11df0b250>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x11df0b2e0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x11df0b370>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x11df0b400>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x11df0b490>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x11df0b520>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x11df0b5b0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x11df0b640>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x11df0b6d0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x11df0b760>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x11df0b7f0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x11df0b880>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x11df0b910>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x11df0b9a0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x11df0ba30>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x11df0bac0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x11df0bb50>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x11df0bbe0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x11df0bd90>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x11df0bc70>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x11df0be20>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x11df0beb0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x11df0bf40>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x11df34040>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x11df340d0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x11df341f0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x11df34160>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x11df34280>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x11df34310>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x11df343a0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x11df344c0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x11df34430>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x11df34550>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x11df345e0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x11df34670>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x11df34700>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x11df34790>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x11df34820>)]
name: str = 'fr_HOCCN'
